      ***************************************************************
      *COPYBOOK NAME   : CPEM000                                    *
      *AUTHOR          : JIM HOLLINGSWORTH                          *
      *FILE DESCRIPTION: ERROR MESSAGES                             *
      *REVISION DATE   : 10/25/98 CREATED                           *
      *REVISION NOTES  :                                            *
      ***************************************************************
           10  CPEM-MESSAGES.
               15  CPEM-CICS-FORMATTIME-MSG.
      *                FORMAT TIME
                   20  CPEM-FORMATTIME-MSG        PIC XXX VALUE '50E'.
                   20  CPEM-FORMATTIME-ERR.
                       25  FILLER                 PIC X(26) VALUE
                           'FORMATTIME FAILURE, RESP=;'.

               15  CPEM-CICS-ASKTIME-MSG.
      *                ASK TIME
                   20  CPEM-ASKTIME-MSG           PIC XXX VALUE '51E'.
                   20  CPEM-ASKTIME-ERR.
                       25  FILLER                 PIC X(23) VALUE
                           'ASKTIME FAILURE, RESP=;'.

               15  CPEM-CICS-READ-ADSQ-MSG.
      *                READ ADS TEMPORARY STORAGE QUEUE
                   20  CPEM-READ-ADSQ-MSG         PIC XXX VALUE '52E'.
                   20  CPEM-READ-ADSQ-ERR.
                       25  FILLER                 PIC X(05) VALUE
                           'Item='.
                       25  CPEM-READ-ADSQ-ITEM    PIC ZZZZ9.
                       25  FILLER                 PIC X(21) VALUE
                           ' ADS READQ TS, RESP=;'.

               15  CPEM-CICS-DLTQ-ADSQ-MSG.
      *                DELETE ADS TEMPORARY STORAGE QUEUE
                   20  CPEM-DLTQ-ADSQ-MSG         PIC XXX VALUE '53E'.
                   20  CPEM-DLTQ-ADSQ-ERR.
                       25  FILLER                 PIC X(22) VALUE
                           'ADS DELETEQ TS, RESP=;'.

               15  CPEM-CICS-GETMAIN-MSG.
      *                GETMAIN ERROR
                   20  CPEM-GETMAIN-MSG           PIC XXX VALUE '54E'.
                   20  CPEM-GETMAIN-ERR.
                       25  FILLER                 PIC X(15) VALUE
                           'GETMAIN, RESP=;'.

               15  CPEM-CICS-FREEMAIN-MSG.
      *                FREEMAIN ERROR
                   20  CPEM-FREEMAIN-MSG          PIC XXX VALUE '55E'.
                   20  CPEM-FREEMAIN-ERR.
                       25  FILLER                 PIC X(16) VALUE
                           'FREEMAIN, RESP=;'.

               15  CPEM-EOL-NOTFOUND-MSG.
      *                End of Line not found
                   20  CPEM-EOL-MSG               PIC XXX VALUE '56E'.
                   20  CPEM-EOL-ERR.
                       25  FILLER                 PIC X(29) VALUE
                           'End of Line not found, index='.
                       25  CPEM-EOL-INDEX         PIC 9(5).

               15  CPEM-CICS-LINK-MSG.
      *                CICS LINK
                   20  CPEM-LINK-MSG              PIC XXX VALUE '57E'.
                   20  CPEM-LINK-ERR.
                       25  FILLER                 PIC X(5) VALUE
                           'PROG='.
                       25  CPEM-LINK-PROG         PIC X(8).
                       25  FILLER                 PIC X(5) VALUE
                           ' LEN='.
                       25  CPEM-LINK-LEN          PIC ZZZZ9.
                       25  FILLER                 PIC X VALUE SPACES.
                       25  FILLER                 PIC X(26) VALUE
                           'LINK FAILURE, RESP=;'.

               15  CPEM-CICS-WBTL-MSG.
      *                Template Manager
                   20  CPEM-WBTL-MSG              PIC XXX VALUE '58E'.
                   20  CPEM-WBTL-ERR.
                       25  FILLER                 PIC X(27) VALUE
                           'Template Manager function ='.
                       25  CPEM-WBTL-FUNCTION     PIC X(13).
                       25  FILLER                 PIC X(6) VALUE
                           ' Resp='.
                       25  CPEM-WBTL-RESP         PIC X(9).
                       25  FILLER                 PIC X(8) VALUE
                           ' Reason='.
                       25  CPEM-WBTL-REASON       PIC X(20).
                       25  FILLER                 PIC X(10) VALUE
                           ' Template='.
                       25  CPEM-WBTL-TNAME        PIC X(8).

               15  CPEM-CICS-WBSM-MSG.
      *                State Manager
                   20  CPEM-WBSM-MSG              PIC XXX VALUE '59E'.
                   20  CPEM-WBSM-ERR.
                       25  FILLER                 PIC X(28) VALUE
                           'State Manager function = '.
                       25  CPEM-WBSM-FUNCTION     PIC X(8).
                       25  FILLER                 PIC X(15) VALUE
                           ' Return Code = '.
                       25  CPEM-WBSM-RETURN       PIC X(21).
                       25  FILLER                 PIC X(7) VALUE
                           ' Token='.
                       25  CPEM-WBSM-TNAME        PIC X(8).

               15  CPEM-BRXA-COMMAND-EYE-MSG.
      *                BRXA COMMAND RECORD HAS INVALID EYECATCHER
                   20  CPEM-BRXA-CMD-EYE-MSG      PIC XXX VALUE '60E'.
                   20  CPEM-BRXA-CMD-EYE-ERR.
                       25  FILLER                 PIC X(36) VALUE
                           'BRXA COMMAND invalid eyecatcher for '.
                       25  CPEM-BRXA-CMD-TYPE     PIC XXXX.
                       25  FILLER                 PIC XXXX VALUE
                           ' MAP'.

               15  CPEM-BRXA-ADSD-EYE-MSG.
      *                BRXA ADSD RECORD HAS INVALID EYECATCHER
                   20  CPEM-BRXA-ADSD-MSG         PIC XXX VALUE '61E'.
                   20  CPEM-BRXA-ADSD-ERR.
                       25  FILLER                 PIC X(33) VALUE
                           'BRXA ADSD invalid eyecatcher for '.
                       25  CPEM-BRXA-ADSD-TYPE    PIC XXXX.
                       25  FILLER                 PIC XXXX VALUE
                           ' MAP'.

               15  CPEM-BRXAC-FIELDS-MSG.
      *                BRXA COMMAND RECORD FIELDS
                   20  CPEM-BRXA-CMD-FIELDS-MSG   PIC XXX VALUE '62I'.
                   20  CPEM-BRXA-CMD-FIELDS-ERR.
                       25  FILLER                 PIC X(5) VALUE
                           'Cmd1='.
                       25  CPEM-BRXAC-CMD         PIC X(9).
                       25  FILLER                 PIC X(6) VALUE
                           ' MAPS='.
                       25  CPEM-BRXAC-MAPS        PIC X(7).
                       25  FILLER                 PIC X(5) VALUE
                           ' MAP='.
                       25  CPEM-BRXAC-MAP         PIC X(7).
                       25  FILLER                 PIC X(6) VALUE
                           ' DATA='.
                       25  CPEM-BRXAC-DATA        PIC X(8).
                       25  FILLER                 PIC X(7) VALUE
                           ' ERASE='.
                       25  CPEM-BRXAC-ERASE       PIC X(9).
                       25  FILLER                 PIC X(5) VALUE
                           ' CUR='.
                       25  CPEM-BRXAC-CURSOR      PIC -ZZZ9.
                       25  FILLER                 PIC X(6) VALUE
                           ' FRST='.
                       25  CPEM-BRXAC-FRSET       PIC X.
                       25  FILLER                 PIC X(6) VALUE
                           ' LAST='.
                       25  CPEM-BRXAC-LAST        PIC X.
                       25  FILLER                 PIC X(7) VALUE
                           ' WAIT='.
                       25  CPEM-BRXAC-WAIT        PIC X.
               15  CPEM-TEMPLATE-ERROR-MSG.
      *                TEMPLATE ERROR
                   20  CPEM-TEMPLATE-MSG          PIC XXX VALUE '63E'.
                   20  CPEM-TEMPLATE-ERR.
                       25  FILLER                 PIC X(15) VALUE
                           'Template error='.
                       25  CPEM-TEMPLATE-CODE     PIC 99.
                       25  FILLER                 PIC X(12) VALUE
                           ' Field Name='.
                       25  CPEM-TE-FIELD-NAME     PIC X(32).
                       25  FILLER                 PIC X(7) VALUE
                           ' Index='.
                       25  CPEM-TEMPLATE-INDEX    PIC ZZZZ9.
               15  CPEM-CICS-READ-ATCD-MSG.
      *                READ FOR APPLICATION TABLE CICS MAINTAINED
      *                DATA TABLE
                   20  CPEM-READ-ATCD-MSG         PIC XXX VALUE '64E'.
                   20  CPEM-READ-ATCD-ERR.
                       25  FILLER                 PIC X(7) VALUE
                           'REC ID='.
                       25  CPEM-READ-ATCD-ID      PIC X(8).
                       25  FILLER                 PIC X(24) VALUE
                           ' APPL TABLE READ, RESP=;'.
               15  CPEM-CICS-READU-ATCD-MSG.
      *                READU FOR APPLICATION TABLE CICS MAINTAINED
      *                DATA TABLE
                   20  CPEM-READU-ATCD-MSG        PIC XXX VALUE '65E'.
                   20  CPEM-READU-ATCD-ERR.
                       25  FILLER                 PIC X(7) VALUE
                           'REC ID='.
                       25  CPEM-READU-ATCD-ID     PIC X(8).
                       25  FILLER                 PIC X(25) VALUE
                           ' APPL TABLE READU, RESP=;'.
               15  CPEM-CICS-DELETE-ATCD-MSG.
      *                DELETE FOR APPLICATION TABLE CICS MAINTAINED
      *                DATA TABLE
                   20  CPEM-DELETE-ATCD-MSG       PIC XXX VALUE '66E'.
                   20  CPEM-DELETE-ATCD-ERR.
                       25  FILLER                 PIC X(7) VALUE
                           'REC ID='.
                       25  CPEM-DELETE-ATCD-ID    PIC X(8).
                       25  FILLER                 PIC X(26) VALUE
                           ' APPL TABLE DELETE, RESP=;'.
               15  CPEM-CICS-REWRITE-ATCD-MSG.
      *                REWRITE FOR APPLICATION TABLE CICS MAINTAINED
      *                DATA TABLE
                   20  CPEM-REWRITE-ATCD-MSG      PIC XXX VALUE '67E'.
                   20  CPEM-REWRITE-ATCD-ERR.
                       25  FILLER                 PIC X(7) VALUE
                           'REC ID='.
                       25  CPEM-REWRITE-ATCD-ID   PIC X(8).
                       25  FILLER                 PIC X(27) VALUE
                           ' APPL TABLE REWRITE, RESP=;'.
               15  CPEM-CICS-WRITE-ATCD-MSG.
      *                WRITE FOR APPLICATION TABLE CICS MAINTAINED
      *                DATA TABLE
                   20  CPEM-WRITE-ATCD-MSG        PIC XXX VALUE '68E'.
                   20  CPEM-WRITE-ATCD-ERR.
                       25  FILLER                 PIC X(7) VALUE
                           'REC ID='.
                       25  CPEM-WRITE-ATCD-ID     PIC X(8).
                       25  FILLER                 PIC X(25) VALUE
                           ' APPL TABLE WRITE, RESP=;'.
               15  CPEM-CICS-STARTBR-ATCD-MSG.
      *                STARTBR FOR APPLICATION TABLE CICS MAINTAINED
      *                DATA TABLE
                   20  CPEM-STARTBR-ATCD-MSG      PIC XXX VALUE '69E'.
                   20  CPEM-STARTBR-ATCD-ERR.
                       25  FILLER                 PIC X(7) VALUE
                           'REC ID='.
                       25  CPEM-STARTBR-ATCD-ID   PIC X(8).
                       25  FILLER                 PIC X(27) VALUE
                           ' APPL TABLE STARTBR, RESP=;'.
               15  CPEM-CICS-READ-CSS-MSG.
      *                READ FOR CSS FILE CICS MAINTAINED
      *                DATA TABLE
                   20  CPEM-READ-CSS-MSG         PIC XXX VALUE '70E'.
                   20  CPEM-READ-CSS-ERR.
                       25  FILLER                PIC X(7) VALUE
                           'REC ID='.
                       25  CPEM-READ-CSS-ID      PIC X(8).
                       25  FILLER                PIC X(22) VALUE
                           ' CSS FILE READ, RESP=;'.
               15  CPEM-CICS-READU-CSS-MSG.
      *                READU FOR CSS FILE CICS MAINTAINED
      *                DATA TABLE
                   20  CPEM-READU-CSS-MSG        PIC XXX VALUE '71E'.
                   20  CPEM-READU-CSS-ERR.
                       25  FILLER                PIC X(7) VALUE
                           'REC ID='.
                       25  CPEM-READU-CSS-ID     PIC X(8).
                       25  FILLER                PIC X(23) VALUE
                           ' CSS FILE READU, RESP=;'.
               15  CPEM-CICS-DELETE-CSS-MSG.
      *                DELETE FOR CSS FILE CICS MAINTAINED
      *                DATA TABLE
                   20  CPEM-DELETE-CSS-MSG       PIC XXX VALUE '72E'.
                   20  CPEM-DELETE-CSS-ERR.
                       25  FILLER                PIC X(7) VALUE
                           'REC ID='.
                       25  CPEM-DELETE-CSS-ID    PIC X(8).
                       25  FILLER                PIC X(24) VALUE
                           ' CSS FILE DELETE, RESP=;'.
               15  CPEM-CICS-REWRITE-CSS-MSG.
      *                REWRITE FOR CSS FILE CICS MAINTAINED
      *                DATA TABLE
                   20  CPEM-REWRITE-CSS-MSG      PIC XXX VALUE '73E'.
                   20  CPEM-REWRITE-CSS-ERR.
                       25  FILLER                PIC X(7) VALUE
                           'REC ID='.
                       25  CPEM-REWRITE-CSS-ID   PIC X(8).
                       25  FILLER                PIC X(25) VALUE
                           ' CSS FILE REWRITE, RESP=;'.
               15  CPEM-CICS-WRITE-CSS-MSG.
      *                WRITE FOR CSS FILE CICS MAINTAINED
      *                DATA TABLE
                   20  CPEM-WRITE-CSS-MSG        PIC XXX VALUE '74E'.
                   20  CPEM-WRITE-CSS-ERR.
                       25  FILLER                PIC X(7) VALUE
                           'REC ID='.
                       25  CPEM-WRITE-CSS-ID     PIC X(8).
                       25  FILLER                PIC X(23) VALUE
                           ' CSS FILE WRITE, RESP=;'.
               15  CPEM-CICS-STARTBR-CSS-MSG.
      *                STARTBR FOR CSS FILE CICS MAINTAINED
      *                DATA TABLE
                   20  CPEM-STARTBR-CSS-MSG      PIC XXX VALUE '75E'.
                   20  CPEM-STARTBR-CSS-ERR.
                       25  FILLER                PIC X(7) VALUE
                           'REC ID='.
                       25  CPEM-STARTBR-CSS-ID   PIC X(8).
                       25  FILLER                PIC X(25) VALUE
                           ' CSS FILE STARTBR, RESP=;'.
               15  CPEM-NO-USER-DATA-ERROR-MSG.
      *                NO HTTP USER DATA
                   20  CPEM-NO-USER-DATA-MSG      PIC XXX VALUE '76E'.
                   20  CPEM-NO-USER-DATA-ERR.
                       25  FILLER                 PIC X(18) VALUE
                           'No user data found'.
               15  CPEM-COMMAREA-ERROR-MSG.
      *                Commarea format error
                   20  CPEM-CA-MSG                PIC XXX VALUE '77E'.
                   20  CPEM-CA-ERR.
                       25  FILLER                 PIC X(23) VALUE
                           'Commarea format error, '.
                       25  CPEM-CA-REASON         PIC X(20).
                       25  FILLER                 PIC X(12) VALUE
                           ' Field name='.
                       25  CPEM-CA-FIELD-NAME     PIC X(32).
               15  CPEM-SECURITY-ERROR-MSG.
      *                Security error
                   20  CPEM-SECURITY-MSG          PIC XXX VALUE '78E'.
                   20  CPEM-SECURITY-ERR.
                       25  FILLER                 PIC X(15) VALUE
                           'Security error='.
                       25  CPEM-SECURITY-REASON   PIC 9(8).
               15  CPEM-MONITOR-ERROR-MSG.
      *                CICS Monitor error
                   20  CPEM-MONITOR-MSG           PIC XXX VALUE '79E'.
                   20  CPEM-MONITOR-ERR.
                       25  FILLER                 PIC X(21) VALUE
                           'Monitor error, RESP=;'.
               15  CPEM-INVALID-CONV-FUNC-ERR-MSG.
      *                Invalid Converter Function
                   20  CPEM-INVALID-CONV-FUNC-MSG PIC XXX VALUE '80E'.
                   20  CPEM-INVALID-CONV-FUNC-ERR.
                       25  FILLER                 PIC X(26) VALUE
                           'Invalid Converter Function'.
               15  CPEM-CICS-READ-GRFX-MSG.
      *                READ GRAFIX IMAGE FILE
                   20  CPEM-READ-GRFX-MSG         PIC XXX VALUE '81E'.
                   20  CPEM-READ-GRFX-ERR.
                       25  FILLER                 PIC X(06) VALUE
                           'Image='.
                       25  CPEM-READ-GRFX-IMAGE   PIC X(64).
                       25  FILLER                 PIC X(27) VALUE
                           ' GRAPHIX Image READ, RESP=;'.
               15  CPEM-MISSING-GRFX-ERR-MSG.
      *                GRAFIX IMAGE NOT SPECIFIED IN HTML
                   20  CPEM-MISSING-GRFX-MSG      PIC XXX VALUE '82E'.
                   20  CPEM-MISSING-GRFX-ERR.
                       25  FILLER                 PIC X(19) VALUE
                           'Image not specified'.
               15  CPEM-INVALID-GRFX-ERR-MSG.
      *                GRAFIX IMAGE NAME INVALID IN HTML
                   20  CPEM-INVALID-GRFX-MSG      PIC XXX VALUE '83E'.
                   20  CPEM-INVALID-GRFX-ERR.
                       25  FILLER                 PIC X(19) VALUE
                           'Invalid Image Name='.
                       25  CPEM-INVALID-GRFX-IMAGE PIC X(64).
               15  CPEM-INVALID-B-ATTR-ERR-MSG.
      *                INVALID BASE ATTRIBUTE IN ADS
                   20  CPEM-INVALID-BASE-ATTR-MSG PIC XXX VALUE '84E'.
                   20  CPEM-INVALID-BASE-ATTR-ERR.
                       25  FILLER                 PIC X(11) VALUE
                           'Field Name='.
                       25  CPEM-BA-FIELD-NAME     PIC X(32).
                       25  FILLER                 PIC X(24) VALUE
                           ' Invalid Base Attribute='.
                       25  CPEM-BASE-ATTTRIBUTE-H PIC X.
                       25  CPEM-BASE-ATTTRIBUTE-L PIC X.
               15  CPEM-CICS-DELETE-GRFX-MSG.
      *                DELETE GRAFIX IMAGE FILE
                   20  CPEM-DELETE-GRFX-MSG       PIC XXX VALUE '85E'.
                   20  CPEM-DELETE-GRFX-ERR.
                       25  FILLER                 PIC X(6) VALUE
                           'Image='.
                       25  CPEM-DELETE-GRFX-IMAGE PIC X(64).
                       25  FILLER                 PIC X(23) VALUE
                           ' GRAPHIX DELETE, RESP=;'.
               15  CPEM-MISSING-FIELD-ERROR-MSG.
      *                MISSING FIELD ERROR
                   20  CPEM-MISSING-FIELD-MSG     PIC XXX VALUE '86E'.
                   20  CPEM-MISSING-FIELD-ERR.
                       25  FILLER                 PIC X(33) VALUE
                           'ADSD Missing Symbolic Field Name='.
                       25  CPEM-MISSING-FIELD-NAME PIC X(32).
               15  CPEM-NO-ADSD-FIELD-ERROR-MSG.
      *                NO-ADSD FIELD ERROR
                   20  CPEM-NO-ADSD-FIELD-MSG     PIC XXX VALUE '87E'.
                   20  CPEM-NO-ADSD-FIELD-ERR.
                       25  FILLER                 PIC X(39) VALUE
                           'No ADSD Fields for Symbolic Field Name='.
                       25  CPEM-NO-ADSD-FIELD-NAME PIC X(32).
               15  CPEM-LAYOUT-VERSION-ATCD-MSG.
      *                INVALID RECORD LAYOUT VERSION ON APPLICATION
      *                TABLE CICS MAINTAINED DATA TABLE
                   20  CPEM-LAYOUT-ATCD-MSG       PIC XXX VALUE '88E'.
                   20  CPEM-LAYOUT-ATCD-ERR.
                       25  FILLER                 PIC X(25) VALUE
                           'Invalid Layout Version = '.
                       25  CPEM-LAYOUT-VERSION    PIC X.
                       25  FILLER                 PIC X(8) VALUE
                           ' REC ID='.
                       25  CPEM-LAYOUT-ATCD-ID    PIC X(8).
               15  CPEM-STATE-TOKEN-ERR-MSG.
      *                CANNOT FIND STATE TOKEN
                   20  CPEM-STATE-TOKEN-MSG       PIC XXX VALUE '89E'.
                   20  CPEM-STATE-TOKEN-ERR.
                       25  FILLER                 PIC X(31) VALUE
                           'Cannot Find State Token Error= '.
                       25  CPEM-STATE-TOKEN-ERRID PIC 9 VALUE 0.
                       25  FILLER                 PIC X(7) VALUE
                           ' Token='.
                       25  CPEM-STATE-TOKEN-VALUE PIC X(8) VALUE
                           SPACES.






















